package com.blueland.bpm.manage.countAnalysis.dao;

/**
 * @author lw
 * @version 1.0
 * @since  
 */
 
import java.util.*;

import com.blueland.bpm.identity.model.*;
import com.blueland.bpm.identity.dao.*;
import com.blueland.bpm.identity.service.*;

import org.springframework.stereotype.Repository;

import com.blueland.bpm.common.base.BaseIbatis3Dao;
import com.blueland.bpm.common.page.Page;
import com.blueland.bpm.common.page.PageRequest;



@Repository
public class AnalysisDao extends BaseIbatis3Dao<Userrole,String>{
	public List<Map<String, Object>> getAppProcessRunIndex(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getAppProcessRunIndex", params);
	}
	
	public List<Map<String, Object>> getAppProcessLogByYear(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getAppProcessLogByYear", params);
	}

	public List<Map<String, Object>> getAppProcessLogByDay(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getAppProcessLogByDay", params);
	}
	
	public List<Map<String, Object>> getProEfficiencyByLine(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getProEfficiencyByLine", params);
	}
	
	public List<Map<String, Object>> getActInstByProcInstId(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getActInstByProcInstId", params);
	}
	
	public List<Map<String, Object>> getProcDefEfficiency(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getProcDefEfficiency", params);
	}
	
	public List<Map<String, Object>> getActDefEfficiency(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getActDefEfficiency", params);
	}
	
	public List<Map<String, Object>> getOrgEfficiencyLineByInst(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getOrgEfficiencyLineByInst", params);
	}
	
	public List<Map<String, Object>> getOrgEfficiencyByProInst(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getOrgEfficiencyByProInst", params);
	}
	
	public List<Map<String, Object>> getProInstEfficiencyByOrg(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getProInstEfficiencyByOrg", params);
	}
	
	public List<Map<String, Object>> getProInstEfficiencyByOrgPage(Map<String, Object> params) {
		return getSqlSessionTemplate().selectList("getProInstEfficiencyByOrgPage", params);
	}
}
